> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create plan template link

> Create a shareable purchase link for a public plan template. Returns the existing active link for the template and business if one already exists.



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml post /v1/organisations/{organisationId}/plans/templates/links
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/plans/templates/links:
    post:
      tags:
        - Plan Template Link
      summary: Create plan template link
      description: >-
        Create a shareable purchase link for a public plan template. Returns the
        existing active link for the template and business if one already
        exists.
      operationId: PlanTemplateLinkController_create
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlanTemplateLinkCreateParams'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlanTemplateLink'
components:
  schemas:
    PlanTemplateLinkCreateParams:
      type: object
      properties:
        planTemplateId:
          type: string
        businessId:
          type: string
      required:
        - planTemplateId
        - businessId
    PlanTemplateLink:
      type: object
      properties:
        url:
          type: string
          description: The public URL a client visits to review and purchase the plan.
        id:
          type: string
        createdAt:
          type: string
        planTemplateId:
          type: string
        businessId:
          type: string
      required:
        - url
        - id
        - createdAt
        - planTemplateId
        - businessId

````